NX Open C++ Reference Guide
|
Mold Wizard work piece builder <br> To create a new instance of this class, use @link Tooling::WorkpieceCollection::CreateWorkpieceBuilder Tooling::WorkpieceCollection::CreateWorkpieceBuilder @endlink <br>
Default values. More...
Public Types | |
enum | MethodType { MethodTypeDistanceAllowance, MethodTypeReferencePoint, MethodTypeSketch, MethodTypeKfBox } |
the unit type includes the work piece define method More... | |
enum | Types { TypesProductWorkPiece, TypesCombinedWorkPiece } |
the unit type includes product and combined work piece type More... | |
enum | WorkPieceType { WorkPieceTypeUserDefinedBlock, WorkPieceTypeCavityCore, WorkPieceTypeCavityOnly, WorkPieceTypeCoreOnly } |
the unit type includes the work piece create method More... | |
Public Member Functions | |
NXOpen::Tooling::WorkpieceBuilder::WorkPieceType | BlockType () |
Returns the work piece shape type access functions Created in NX6.0.0. | |
NXOpen::Tooling::WorkpieceBuilder::MethodType | GenerateMethod () |
Returns the generate method access functions Created in NX6.0.0. | |
NXOpen::Point * | ReferencePoint () |
Returns the reference point to generate the work piece Created in NX6.0.0. | |
void | ResetSizes () |
Resets workpiece sizes Created in NX9.0.0. | |
bool | RoundDimensionValue () |
Returns the dimension round value Created in NX6.0.0. | |
double | RoundPrecision () |
Returns the round precision Created in NX6.0.0. | |
NXOpen::SelectBodyList * | SelectWorkPieceBody () |
Returns the work piece body selection Created in NX6.0.0. | |
void | SetBlockType (NXOpen::Tooling::WorkpieceBuilder::WorkPieceType blockType) |
Sets the work piece shape type access functions Created in NX6.0.0. | |
void | SetGenerateMethod (NXOpen::Tooling::WorkpieceBuilder::MethodType generateMethod) |
Sets the generate method access functions Created in NX6.0.0. | |
void | SetReferencePoint (NXOpen::Point *referencePoint) |
Sets the reference point to generate the work piece Created in NX6.0.0. | |
void | SetRoundDimensionValue (bool roundDimensionValue) |
Sets the dimension round value Created in NX6.0.0. | |
void | SetRoundPrecision (double roundPrecision) |
Sets the round precision Created in NX6.0.0. | |
void | SetShowBoundbox (bool showBoundbox) |
Sets the setting to show the bounding box of the product or not Created in NX6.0.0. | |
void | SetType (NXOpen::Tooling::WorkpieceBuilder::Types type) |
Sets the selection type to select the work piece Created in NX6.0.0. | |
bool | ShowBoundbox () |
Returns the setting to show the bounding box of the product or not Created in NX6.0.0. | |
NXOpen::Tooling::WorkpieceBuilder::Types | Type () |
Returns the selection type to select the work piece Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Mold Wizard work piece builder <br> To create a new instance of this class, use @link Tooling::WorkpieceCollection::CreateWorkpieceBuilder Tooling::WorkpieceCollection::CreateWorkpieceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BlockType |
UserDefinedBlock |
GenerateMethod |
DistanceAllowance |
RoundDimensionValue |
0 |
RoundPrecision |
0 |
ShowBoundbox |
0 |
Created in NX6.0.0.
the unit type includes the work piece define method
the unit type includes the work piece create method
NXOpen::Tooling::WorkpieceBuilder::WorkPieceType NXOpen::Tooling::WorkpieceBuilder::BlockType | ( | ) |
Returns the work piece shape type access functions
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::WorkpieceBuilder::MethodType NXOpen::Tooling::WorkpieceBuilder::GenerateMethod | ( | ) |
Returns the generate method access functions
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::WorkpieceBuilder::ReferencePoint | ( | ) |
Returns the reference point to generate the work piece
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::WorkpieceBuilder::ResetSizes | ( | ) |
Resets workpiece sizes
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::WorkpieceBuilder::RoundDimensionValue | ( | ) |
Returns the dimension round value
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::WorkpieceBuilder::RoundPrecision | ( | ) |
Returns the round precision
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::WorkpieceBuilder::SelectWorkPieceBody | ( | ) |
Returns the work piece body selection
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::WorkpieceBuilder::SetBlockType | ( | NXOpen::Tooling::WorkpieceBuilder::WorkPieceType | blockType | ) |
Sets the work piece shape type access functions
Created in NX6.0.0.
License requirements : None
blockType | blocktype |
void NXOpen::Tooling::WorkpieceBuilder::SetGenerateMethod | ( | NXOpen::Tooling::WorkpieceBuilder::MethodType | generateMethod | ) |
Sets the generate method access functions
Created in NX6.0.0.
License requirements : None
generateMethod | generatemethod |
void NXOpen::Tooling::WorkpieceBuilder::SetReferencePoint | ( | NXOpen::Point * | referencePoint | ) |
Sets the reference point to generate the work piece
Created in NX6.0.0.
License requirements : None
referencePoint | referencepoint |
void NXOpen::Tooling::WorkpieceBuilder::SetRoundDimensionValue | ( | bool | roundDimensionValue | ) |
Sets the dimension round value
Created in NX6.0.0.
License requirements : None
roundDimensionValue | rounddimensionvalue |
void NXOpen::Tooling::WorkpieceBuilder::SetRoundPrecision | ( | double | roundPrecision | ) |
Sets the round precision
Created in NX6.0.0.
License requirements : None
roundPrecision | roundprecision |
void NXOpen::Tooling::WorkpieceBuilder::SetShowBoundbox | ( | bool | showBoundbox | ) |
Sets the setting to show the bounding box of the product or not
Created in NX6.0.0.
License requirements : None
showBoundbox | showboundbox |
void NXOpen::Tooling::WorkpieceBuilder::SetType | ( | NXOpen::Tooling::WorkpieceBuilder::Types | type | ) |
Sets the selection type to select the work piece
Created in NX6.0.0.
License requirements : None
type | type |
bool NXOpen::Tooling::WorkpieceBuilder::ShowBoundbox | ( | ) |
Returns the setting to show the bounding box of the product or not
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::WorkpieceBuilder::Types NXOpen::Tooling::WorkpieceBuilder::Type | ( | ) |
Returns the selection type to select the work piece
Created in NX6.0.0.
License requirements : None